

--[[
***************************************************************

Raspberry Pi + AQ1248A LCD グラフィックLCD 時計表示

TICK_TIMER または PERIODIC_TIMER イベントハンドラ中に
このスクリプトをコールする記述を入れてください。

例：

script_exec("RASPI/DEVICE/AQ1248A_CLOCK_UPDATE","","")

***************************************************************
]]

------------------------------------
-- グラフィックLCD 時計表示
------------------------------------

raspi_AQM1248A_try_init() -- LCD AQM1284A 初期化

local now = os.date "*t";

stat,wday = day_of_week(now["year"],now["month"],now["day"]);
if not stat then error() end
local weekstr;
if wday == 1 then 
	weekstr = "Sun"
elseif wday == 2 then
	weekstr = "Mon"
elseif wday == 3 then
	weekstr = "Tue"
elseif wday == 4 then
	weekstr = "Wed"
elseif wday == 5 then
	weekstr = "Thu"
elseif wday == 6 then
	weekstr = "Fri"
elseif wday == 7 then
	weekstr = "Sat"
end;

local data1 = string.format("%2.2d/%2.2d %s",now["month"],now["day"],weekstr)
local data2 = string.format("%2.2d:%2.2d",now["hour"],now["min"])
local data3 = string.format(":%2.2d",now["sec"])

graphic_clear()
graphic_print(15,1,data1,2)
graphic_print(0,5,data2,3)
graphic_print(90,5,data3,2)

raspi_AQM1248A_display()




