

--[[
***************************************************************

Raspberry Pi + AQ1248A LCD ディスプレイ表示サンプル

***************************************************************
]]


log_msg("start..",g_script)

raspi_AQM1248A_try_init() -- LCD AQM1284A 初期化

graphic_clear()

graphic_draw_rect(1,15,12,19,true,true)
graphic_draw_rect(15,15,12,19,true,true)
graphic_draw_rect(29,15,12,19,true,true)

graphic_print(2,3,"A",2,true)
graphic_print(16,3,"B",2,true)
graphic_print(30,3,"S",2,true)

graphic_print(44,2,"abs_agent",0)
graphic_print(20,5,"All Blue System",0)

local hexstr = ""
hexstr = hexstr .. list_to_hex(0x22,0x22,0x12,0x4a,0x7f,0x02,0x02,0x00) 
hexstr = hexstr .. list_to_hex(0x04,0x08,0x08,0x08,0x08,0x08,0x08,0x00)
hexstr = hexstr .. list_to_hex(0x40,0x20,0x1e,0x00,0x7f,0x20,0x10,0x00)
hexstr = hexstr .. list_to_hex(0x00,0x02,0x42,0x42,0x23,0x12,0x0f,0x00)
hexstr = hexstr .. list_to_hex(0x40,0x20,0x1e,0x00,0x7f,0x20,0x10,0x00)
hexstr = hexstr .. list_to_hex(0x04,0x08,0x08,0x08,0x08,0x08,0x08,0x00)
hexstr = hexstr .. list_to_hex(0x00,0x45,0x4a,0x40,0x20,0x10,0x0c,0x00)
hexstr = hexstr .. list_to_hex(0x40,0x42,0x22,0x22,0x1a,0x26,0x40,0x00)
hexstr = hexstr .. list_to_hex(0x04,0x05,0x45,0x3d,0x05,0x05,0x04,0x00)
hexstr = hexstr .. list_to_hex(0x40,0x70,0x4c,0x43,0x50,0x20,0x40,0x00)

graphic_draw_bitmap(44,14,80,8,hexstr,true,true)

raspi_AQM1248A_display()

