
--[[
**********************************************************************

Raspberry Pi + OLED(128x64 pixel) SSD1306　ディスプレイ表示サンプル

**********************************************************************
]]

log_msg("start..",g_script)

fontx_try_init()

raspi_OLED1306_try_init(1)

graphic_clear()

graphic_draw_rect(1,15,12,19,true,true)
graphic_draw_rect(15,15,12,19,true,true)
graphic_draw_rect(29,15,12,19,true,true)

graphic_print(2,3 + 2,"A",2,true)
graphic_print(16,3 + 2,"B",2,true)
graphic_print(30,3 + 2,"S",2,true)

graphic_print(44,2 + 2,"abs_agent",0)
graphic_print(20,5 + 2,"All Blue System",0)

-- draw multibyte string
local fontx_name = "MISAKI_FONTX"
local x = stat_check(shmem_copy(fontx_name,14,2))
local font_w = x[1]
local font_h = x[2]
local str = "オールブルーシステム"
local cstat,ch_arr = str_to_tbl2(str,2)
if (not cstat) or (#ch_arr == 0) then error() end
local x0 = 44
local y0 = 14
for k,v in ipairs(ch_arr) do
	local fdata = stat_check(shmem_get_fontx(fontx_name,v))
	graphic_draw_fontx(x0,y0,font_w,font_h,tbl_to_hex(fdata),1)
	x0 = x0 + font_w
end

raspi_OLED1306_display(1)
