
file_id = "CRITICAL_TASK"

--[[

このスクリプトは、CRITICAL_JOB スクリプトから実行されます

]]


log_msg("start.. " .. g_taskid,file_id)


------------------------------------------------------------------
-- クリティカルセクションの繰り返し。このループ部分は排他されない
------------------------------------------------------------------
for i = 1,50,1 do

	-------------------------------
	-- クリティカルセクション開始
	-------------------------------
	if not critical_section_enter2("MyKey",10000) then error() end

	-------------------------------
	-- 排他が必要なタスク
	-------------------------------	
	for i = 1,3,1 do
		wait_time(100) 
		log_msg("task is running.. " .. g_taskid,file_id)
	end

	-------------------------------
	-- クリティカルセクション終了
	-------------------------------
	if not critical_section_leave2("MyKey") then error() end

end


log_msg("end.. " .. g_taskid,file_id)


