

--[[
******************************************************************************

Raspberry Pi + ScrollpHATHD テストパターン表示

このスクリプトは "preload/100_RASPI/scrollphathd" ディレクトリに格納されている
ライブラリを使用します。インストール直後はアンダースコアが先頭についたディレクトリ名
"preload/100_RASPI/_scrollphathd" なっていてロード対象から外されています。
そのため、"scrollphathd" にリネームしてからabs_agent を再起動させてライブラリを
有効にしてから使用してください。

******************************************************************************
]]

log_msg("start..",g_script)

scrollphathd_try_init()
scrollphathd_clear()

local pixel_data
local pixel_idx

scrollphathd_display(0)
for cntr = 99,0,-1 do
	pixel_data = {}
	pixel_idx = {}
	scrollphathd_clear()
	scrollphathd_draw_string(pixel_idx,pixel_data,0,0,string.format("%2d",cntr),1)
	scrollphathd_draw_string(pixel_idx,pixel_data,10,2,string.format("%2d",99 - cntr),1)
	scrollphathd_draw_commit(pixel_idx,pixel_data)
	scrollphathd_transfer(0,0)
	wait_time(10)
end

