
-----------------------------------------------------------------------------
-- [p2,p3, .. ,p#n] = stat_check([p1,p2, .. ,p#n])
--
-- 第一パラメータ(p1) の値が偽(false または nil)の場合にエラーを発生させて、
-- それ以外の場合は渡されたパラメータから第一パラメータを除いて返す。
-----------------------------------------------------------------------------
function stat_check(...)
	local argv = {...}
	local s = table.remove(argv,1)
	if not s then
		log_msg("stat_check() failed.","ASSERTION")
		error()
	else
		return table.unpack(argv)
	end
end
