
file_id = "GLOBAL_WATCH"

--[[

******************************************************************************

共有文字列リスト $GLOBAL_WATCH に指定されたグローバル共有変数に対して
作成、修正、削除などの操作を行った場合に、このスクリプトが実行されます。

このスクリプト実行が終了するまで、グローバル共有変数を操作したスクリプト
やイベントハンドラがペンディング状態になりますので、できるだけ早く
このスクリプトを終了するようにしてください。

時間がかかる処理を行う場合には、script_fork_exec() ライブラリ関数を使用して、
別スクリプト中でスレッドを分けて実行するようにしてください。

このイベントハンドラ内または、このイベントハンドラから呼び出すスクリプト中から
g_params["SharedDataKey"] で表されたグローバル共有変数を **絶対** に更新
しないでください。(イベントハンドラが重複してコールされ続けるため)


GLOBAL_WATCH スクリプト起動時に渡される追加パラメータ

---------------------------------------------------------------------------------
キー値            値                                                        値の例
---------------------------------------------------------------------------------
SharedDataKey    監視対象となっているグローバル共有変数名                MyDataKey

SharedDataValue    更新後のグローバル共有変数の内容                        RevisedValue

******************************************************************************

]]

log_msg(g_params["SharedDataKey"] .. " := " .. g_params["SharedDataValue"],file_id)

