

--[[

●機能概要

環境センサーボード(スイッチサイエンス社製)光センサの値を取得する


●リクエストパラメータ

無し


●リターンパラメータ

---------------------------------------------------------------------------------
キー値          値                                               値の例
---------------------------------------------------------------------------------

light			センサーから取得した値			                  "24"
				明るい時に値が小さく、暗いときに値が大きくなる
				0 .. 255
●備考

●使用条件・免責事項

このスクリプトファイルは自由にお客様が複製、改変を行うことができます。またお客様のアプリケーションと
共にこのファイルを配布することができます。

このスクリプトは公開されているデバイス仕様書を元に、オールブルーシステムがサンプル実装したものです。
お客様がこのファイルを利用される場合には、お客様または第三者に損害が生じた場合でも、
オールブルーシステムは損害賠償その他一切の責任を負担しません。

●変更履歴

2017/03/06    初版作成

abs_agent	copyright(c) All Blue System


]]

local slave_addr = "6A"
local bus = 1

------------------------------------
-- 現在の測定値取得
------------------------------------
local stat,result = raspi_i2c_write(bus,slave_addr,"C0",1)
if not stat then error() end

script_result(g_taskid,"light",tonumber("0x" .. result))

