
--[[
**********************************************************************

Raspberry Pi + ST7789(240x240 pixel) LCDディスプレイ表示サンプル

**********************************************************************
]]

fontx_try_init()

ST7789_try_init()

graphic2_clear(ST7789_DISP_BUFF_CH)

local c_blue = rgb565(0x1e,0x2c,0x90)
local c_white = rgb565(0xff,0xff,0xff)
local c_black = rgb565(0,0,0)
local logo_w = 230
local logo_h = 72
graphic2_draw_rect(ST7789_DISP_BUFF_CH,5,15,logo_w,logo_h,c_white,true)
graphic2_draw_rect(ST7789_DISP_BUFF_CH,10,20,23,40,c_blue,true)
graphic2_draw_rect(ST7789_DISP_BUFF_CH,35,20,23,40,c_blue,true)
graphic2_draw_rect(ST7789_DISP_BUFF_CH,60,20,23,40,c_blue,true)
graphic2_print(ST7789_DISP_BUFF_CH,12,24,"A",c_white,"SHINONOME_FONTX",2)
graphic2_print(ST7789_DISP_BUFF_CH,37,24,"B",c_white,"SHINONOME_FONTX",2)
graphic2_print(ST7789_DISP_BUFF_CH,62,24,"S",c_white,"SHINONOME_FONTX",2)
graphic2_print(ST7789_DISP_BUFF_CH,90,23,"abs_agent",c_black,"FREEPIXEL_FONTX")
graphic2_print(ST7789_DISP_BUFF_CH,90,43,"All Blue System",c_black,"FREEPIXEL_FONTX")
graphic2_print(ST7789_DISP_BUFF_CH,15,62,"オールブルーシステム",c_black,"AYU_FONTX")

local stat,img = graphic2_get_image(ST7789_DISP_BUFF_CH,5,15,logo_w,logo_h)
graphic2_draw_image(ST7789_DISP_BUFF_CH,img,logo_w,logo_h,140,150,logo_w/2,logo_h/2,0.7,0.7,20.0)
graphic2_draw_image(ST7789_DISP_BUFF_CH,img,logo_w,logo_h,100,200,logo_w/2,logo_h/2,0.4,0.4,40.0)

ST7789_display()
