
--[[

●機能概要

TMP102 温度センサの測定値をローカルコンピュータのインメモリデータベース FASTDBに保存する。


●変更履歴

2017/5/6     初版作成

copyright(c) 2017 All Blue System

]]

---------------------------------------------------------------------------------
-- TMP102 センサー
---------------------------------------------------------------------------------
local stat,TMP102 = script_exec2("RASPI/DEVICE/TMP102_READ","","")
if not stat then error() end

---------------------------------------------------
-- インメモリデータベースに測定データを保存する
---------------------------------------------------
if not fastdb_add("温度(TMP102)",tonumber(TMP102["temperature"])) then error() end

