
file_id = "SERVER_STOP"

--[[

******************************************************************************
このスクリプトは abs_agent 終了時にコールされます
このスクリプトの実行は長くても数秒以内で必ず終了するようにしてください。

OS をシャットダウンした場合など abs_agent プログラムを強制終了したときには
このイベントスクリプトは実行されません。agent_shutdown プログラムを使用して
abs_agent をシャットダウンしたときのみこのイベントハンドラが実行されます。

このスクリプトが終了した直後に、abs_agent がシャットダウンして
全てのリソースが使用できなくなります。このため、このスクリプトから他のスクリプト
を実行する場合には script_exec() を使用してください。script_fork_exec() 等に
よって別スレッドでは実行しないでください。ただし、別コンピュータで動作している
abs_agent のスクリプトを script_fork_rexec() でコールすることはできます。
******************************************************************************

]]

log_msg("start..",file_id)

local mstat,module_stat = service_module_status()
if not mstat then error() end
if module_stat["MQTT"] then 
    script_exec("MQTT_DISCONNECT_ALL","","")
end


