
----------------------------
-- RASPI_HC595_COUNTER
----------------------------

-- ２重起動防止用チェック
if not exclusive_check(g_script) then
	log_msg("*ERROR* exclusive_check() failed. script = " .. g_script,g_script)
	return
end

log_msg("start..",g_script)

-- SPI 設定
if not raspi_spi_config(true,"mode0",150,"cs0","low") then error() end
while true do
	wait_time(50)
	stat,val = inc_shared_data("HC595_COUNTER",true)
	local cntr = tonumber(val) 
	if cntr > 255 then
		cntr = 0
		set_shared_data("HC595_COUNTER","",true)
	end
	if not raspi_spi_write_byte(cntr) then break end
end

