

--[[
******************************************************************************

Raspberry Pi + ScrollpHATHD テストパターン表示

このスクリプトは "preload/100_RASPI/scrollphathd" ディレクトリに格納されている
ライブラリを使用します。インストール直後はアンダースコアが先頭についたディレクトリ名
"preload/100_RASPI/_scrollphathd" なっていてロード対象から外されています。
そのため、"scrollphathd" にリネームしてからabs_agent を再起動させてライブラリを
有効にしてから使用してください。

******************************************************************************
]]

log_msg("start..",g_script)

local pixel_data = {}
local pixel_idx = {}

scrollphathd_try_init()
scrollphathd_clear()

scrollphathd_fill_circle(pixel_idx,pixel_data,6,3,3,0x20)
scrollphathd_draw_circle(pixel_idx,pixel_data,6,3,5,0x60)
scrollphathd_draw_circle(pixel_idx,pixel_data,0,0,6,0x60)
scrollphathd_draw_circle(pixel_idx,pixel_data,16,6,2,0x70)

scrollphathd_draw_commit(pixel_idx,pixel_data)
scrollphathd_transfer(0,0)
scrollphathd_display(0)

