

--[[
******************************************************************************

Raspberry Pi + ScrollpHATHD テストパターン表示

このスクリプトは "preload/100_RASPI/scrollphathd" ディレクトリに格納されている
ライブラリを使用します。インストール直後はアンダースコアが先頭についたディレクトリ名
"preload/100_RASPI/_scrollphathd" なっていてロード対象から外されています。
そのため、"scrollphathd" にリネームしてからabs_agent を再起動させてライブラリを
有効にしてから使用してください。

******************************************************************************
]]

log_msg("start..",g_script)

local pixel_data
local pixel_idx

scrollphathd_try_init()
scrollphathd_clear()
for c = 1,4 do
	for x = 0,16 do
		scrollphathd_clear()
		pixel_data = {}
		pixel_idx = {}
	
		scrollphathd_draw_line(pixel_idx,pixel_data,x,0,16 - x,6,0x40)
		scrollphathd_draw_commit(pixel_idx,pixel_data)
		scrollphathd_transfer(0,0)
		scrollphathd_display(0)
	end
	for y = 1,5 do
		scrollphathd_clear()
		pixel_data = {}
		pixel_idx = {}
	
		scrollphathd_draw_line(pixel_idx,pixel_data,0,6 - y,16,y,0x40)
		scrollphathd_draw_commit(pixel_idx,pixel_data)
		scrollphathd_transfer(0,0)
		scrollphathd_display(0)
	end
end


