

--[[
******************************************************************************

Raspberry Pi + ScrollpHATHD テストパターン表示

このスクリプトは "preload/100_RASPI/scrollphathd" ディレクトリに格納されている
ライブラリを使用します。インストール直後はアンダースコアが先頭についたディレクトリ名
"preload/100_RASPI/_scrollphathd" なっていてロード対象から外されています。
そのため、"scrollphathd" にリネームしてからabs_agent を再起動させてライブラリを
有効にしてから使用してください。

******************************************************************************
]]

log_msg("start..",g_script)

scrollphathd_try_init()

local pixel_data = {}
local pixel_idx = {}
scrollphathd_clear()
scrollphathd_draw_pixel(pixel_idx,pixel_data,0,2,0x40)
scrollphathd_draw_pixel(pixel_idx,pixel_data,1,1,0x40)
scrollphathd_draw_pixel(pixel_idx,pixel_data,2,0,0x40)
scrollphathd_draw_commit(pixel_idx,pixel_data)
scrollphathd_transfer(0,0)

pixel_data = {}
pixel_idx = {}
scrollphathd_clear()
scrollphathd_draw_pixel(pixel_idx,pixel_data,1,0,0x40)
scrollphathd_draw_pixel(pixel_idx,pixel_data,1,1,0x40)
scrollphathd_draw_pixel(pixel_idx,pixel_data,1,2,0x40)
scrollphathd_draw_commit(pixel_idx,pixel_data)
scrollphathd_transfer(1,0)

pixel_data = {}
pixel_idx = {}
scrollphathd_clear()
scrollphathd_draw_pixel(pixel_idx,pixel_data,0,0,0x40)
scrollphathd_draw_pixel(pixel_idx,pixel_data,1,1,0x40)
scrollphathd_draw_pixel(pixel_idx,pixel_data,2,2,0x40)
scrollphathd_draw_commit(pixel_idx,pixel_data)
scrollphathd_transfer(2,0)

pixel_data = {}
pixel_idx = {}
scrollphathd_clear()
scrollphathd_draw_pixel(pixel_idx,pixel_data,0,1,0x40)
scrollphathd_draw_pixel(pixel_idx,pixel_data,1,1,0x40)
scrollphathd_draw_pixel(pixel_idx,pixel_data,2,1,0x40)
scrollphathd_draw_commit(pixel_idx,pixel_data)
scrollphathd_transfer(3,0)

for i = 1,20,1 do
	scrollphathd_display(0)
	wait_time(50)
	scrollphathd_display(1)
	wait_time(50)
	scrollphathd_display(2)
	wait_time(50)
	scrollphathd_display(3)
	wait_time(50)
end